package com.steering.pss.qcm.DAL;

import com.steering.comm.db.DBCommon;
import com.steering.comm.tools.EntityTool;
import com.steering.pss.qcm.model.MscBacklogEntity;
import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

public class ComMScBacklogDAL extends DBCommon{
	
	/**
	 * 查询制程
	 * @param strMscBacklogJSON
	 * @return
	 */
	public CoreReturnObject query(String strMscBacklogJSON){
		MscBacklogEntity mscBacklog = EntityTool.getEntityByJSONStr(strMscBacklogJSON, MscBacklogEntity.class);
		String sql = CoreXmlSqlParsersFactory.getSql("ComMScBacklogDAL.query");
		sql = EntityTool.fillSqlByEntity(sql, mscBacklog);
		return this.getData(sql);
	}
}
